List all recurring invoices
Returns a list of your recurring invoices. The invoices are returned sorted by creation date, with the most recently created invoices appearing first.
Parameters
expand
array
Array of relationships to expand. Supported values:
billing_profile, client, creator.Returns
Return a paginated response that contains an array of up to the specified limit of recurring invoices.
get
/api/recurring-invoices
curl https://{workspace}.kitchen.co/api/recurring-invoices \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"amount": 675.65,
"billing_profile": "bp_0123bc88a70c86ed9d1feb73",
"charge_automatically": false,
"client": "u_62988d0392da49247a831d35",
"created_at": "2024-03-13T09:16:53+00:00",
"creator": "u_c13cc0aee4b5af7a42951898",
"currency": "USD",
"discount_amount": 341.47,
"discounts": [
{
"amount": 50.54,
"currency": "USD",
"id": "invti_81c4288ef04117d38e29b22c",
"title": "The discount item title",
"type": "percentage"
}
],
"due_date_in_days": 8,
"due_reminder_message": "The reminder message",
"due_reminder_send_days": 2,
"footer_notes": null,
"id": "in_700e2b6deea32f7022cc3cc9",
"items": [
{
"amount": 675.65,
"currency": "USD",
"description": "The invoice item description",
"id": "invi_ac3074df0d1c309d12624399",
"quantity": "1.00",
"title": "The invoice item title"
}
],
"language": "en_US",
"memo": null,
"next_invoice_issue_date": null,
"payment_gateways": [],
"recurring_activated_at": null,
"recurring_end_date": null,
"recurring_frequency": 1,
"recurring_name": "Recurring #1",
"recurring_period_unit": "month",
"recurring_send_email_cc_addresses": null,
"recurring_send_email_message": null,
"recurring_send_email_to_client": null,
"recurring_send_to_conversation": null,
"recurring_start_date": null,
"recurring_status": "draft",
"recurring_stopped_at": null,
"target_folder": null,
"tax_items": [
{
"amount": 46.3,
"currency": "USD",
"id": "invti_e5d2b8e5d9a4017b84c95b47",
"title": "The tax item title"
}
],
"tax_amount": 154.73,
"shipping_amount": 19.99,
"total_amount": 508.9,
"type": "recurring",
"updated_at": "2024-03-13T09:16:53+00:00"
}
],
"links": {
"first": "/api/recurring-invoices/?page=1",
"last": "/api/recurring-invoices/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/recurring-invoices?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/recurring-invoices",
"per_page": 20,
"to": 1,
"total": 1
}
}